# Uses of Interface
org.eclipse.net4j.db.ddl.delta.IDBDelta

Packages that use IDBDelta
Package
Description
org.eclipse.net4j.db.ddl.delta
The Net4j DB framework concepts for the abstraction of schema deltas.

## Uses of IDBDelta in org.eclipse.net4j.db.ddl.delta

Subinterfaces of IDBDelta in org.eclipse.net4j.db.ddl.delta
Modifier and Type
Interface
Description
`interface`
`IDBDeltaWithPosition`
`interface`
`IDBDeltaWithProperties`
`interface`
`IDBFieldDelta`
`interface`
`IDBIndexDelta`
`interface`
`IDBIndexFieldDelta`
`interface`
`IDBPropertyDelta<T>`
`interface`
`IDBSchemaDelta`
`interface`
`IDBTableDelta`
Methods in org.eclipse.net4j.db.ddl.delta that return IDBDelta
Modifier and Type
Method
Description
`IDBDelta`
IDBDeltaVisitor.Filter.ForbiddenChangeException.`getDelta()`
`IDBDelta`
IDBDelta.`getParent()`
Methods in org.eclipse.net4j.db.ddl.delta with parameters of type IDBDelta
Modifier and Type
Method
Description
`protected boolean`
IDBDeltaVisitor.Default.`handle(IDBDelta delta)`
`protected final boolean`
IDBDeltaVisitor.Filter.`handle(IDBDelta delta)`
`boolean`
IDBDeltaVisitor.Filter.Policy.`isAllowed(IDBDelta delta)`
`boolean`
IDBDeltaVisitor.Filter.Policy.`isForbidden(IDBDelta delta)`
`boolean`
IDBDeltaVisitor.Filter.Policy.`isIgnored(IDBDelta delta)`
`protected void`
IDBDeltaVisitor.Default.`visitDefault(IDBDelta delta)`
Constructors in org.eclipse.net4j.db.ddl.delta with parameters of type IDBDelta
Modifier
Constructor
Description
``
`ForbiddenChangeException(IDBDelta delta)`